Package it.ernytech.tdlib

## Class TdApi.InputInlineQueryResultVenue

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.InputInlineQueryResult
    - - it.ernytech.tdlib.TdApi.InputInlineQueryResultVenue

Enclosing class:
  TdApi

    public static class TdApi.InputInlineQueryResultVenue
    extends TdApi.InputInlineQueryResult

Represents information about a venue.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `id` Unique identifier of the query result.
`TdApi.InputMessageContent` `inputMessageContent` The content of the message to be sent.
`TdApi.ReplyMarkup` `replyMarkup` The message reply markup.
`int` `thumbnailHeight` Thumbnail height, if known.
`java.lang.String` `thumbnailUrl` URL of the result thumbnail, if it exists.
`int` `thumbnailWidth` Thumbnail width, if known.
`TdApi.Venue` `venue` Venue result.

### Constructor Summary

Constructors
`InputInlineQueryResultVenue()` Default constructor.
`InputInlineQueryResultVenue​(java.lang.String id, TdApi.Venue venue, java.lang.String thumbnailUrl, int thumbnailWidth, int thumbnailHeight, TdApi.ReplyMarkup replyMarkup, TdApi.InputMessageContent inputMessageContent)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### id

    public java.lang.String id

Unique identifier of the query result.

#### venue

    public TdApi.Venue venue

Venue result.

#### thumbnailUrl

    public java.lang.String thumbnailUrl

URL of the result thumbnail, if it exists.

#### thumbnailWidth

    public int thumbnailWidth

Thumbnail width, if known.

#### thumbnailHeight

    public int thumbnailHeight

Thumbnail height, if known.

#### replyMarkup

    public TdApi.ReplyMarkup replyMarkup

The message reply markup. Must be of type replyMarkupInlineKeyboard or null.

#### inputMessageContent

    public TdApi.InputMessageContent inputMessageContent

The content of the message to be sent. Must be one of the following types: InputMessageText, InputMessageLocation, InputMessageVenue or InputMessageContact.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### InputInlineQueryResultVenue

    public InputInlineQueryResultVenue()

Default constructor.

#### InputInlineQueryResultVenue

    public InputInlineQueryResultVenue​(java.lang.String id,
                                       TdApi.Venue venue,
                                       java.lang.String thumbnailUrl,
                                       int thumbnailWidth,
                                       int thumbnailHeight,
                                       TdApi.ReplyMarkup replyMarkup,
                                       TdApi.InputMessageContent inputMessageContent)

Constructor for initialization of all fields.

Parameters:
  `id` - Unique identifier of the query result.
  `venue` - Venue result.
  `thumbnailUrl` - URL of the result thumbnail, if it exists.
  `thumbnailWidth` - Thumbnail width, if known.
  `thumbnailHeight` - Thumbnail height, if known.
  `replyMarkup` - The message reply markup. Must be of type replyMarkupInlineKeyboard or null.
  `inputMessageContent` - The content of the message to be sent. Must be one of the following types: InputMessageText, InputMessageLocation, InputMessageVenue or InputMessageContact.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR